/* Zope Folder/icon script */
/* Originally by sehh@altered.com */
/* Altered by ted@os2ports.com */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
dir=directory()

rc=SysCreateObject('WPFolder',,
'Zope 2.6.0',,
'<WP_DESKTOP>',,
'OBJECTID=<ZOPEFLDR>;'||,
'ALWAYSSORT=YES;',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Start Zope',,
'<ZOPEFLDR>',,
'EXENAME='||dir||'\PYTHON222\PYTHON.EXE;'||,
'PARAMETERS=z2.py -D -f - -u zope;'||,
'STARTUPDIR='||dir||'\Zope;'||,
'ICONFILE='||dir||'\Zope.ico;'||,
'OBJECTID=<ZOPESTART>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Create Initial User',,
'<ZOPEFLDR>',,
'EXENAME='||dir||'\PYTHON222\PYTHON.EXE;'||,
'PARAMETERS=zpasswd.py inituser;'||,
'STARTUPDIR='||dir||'\Zope;'||,
'ICONFILE='||dir||'\Zope.ico;'||,
'OBJECTID=<ZOPEUSER>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'The Zope Book',,
'<ZOPEFLDR>',,
'EXENAME=netscape.exe;'||,
'PARAMETERS='||dir||'\ZopeBook\index.html;'||,
'ICONFILE='||dir||'\wp.ico;'||,
'OBJECTID=<BOOKZOPE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Zope OS/2 Website',,
'<ZOPEFLDR>',,
'EXENAME=netscape.exe;'||,
'PARAMETERS=http://os2ports.com/content/sections/zopeos2;'||,
'ICONFILE='||dir||'\net.ico;'||,
'OBJECTID=<SITEZOPE>',,
'Update' )

rc=SysCreateShadow('<ZOPESTART>','<WP_DESKTOP>')
rc=SysCreateShadow(dir'\Apache-Integration','<ZOPEFLDR>')
rc=SysCreateShadow(dir'\Zope260-os2-bin.README','<ZOPEFLDR>')
rc=SysCreateShadow(dir'\Zope\doc\CHANGES.txt','<ZOPEFLDR>')
rc=SysCreateShadow(dir'\Zope\LICENSE.txt','<ZOPEFLDR>')

rc=SysCreateObject('WPFolder',,
'Python 2.2.2',,
'<WP_DESKTOP>',,
'OBJECTID=<PYTHONFLDR>;'||,
'ALWAYSSORT=YES;',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Python Interactive',,
'<PYTHONFLDR>',,
'EXENAME='||dir||'\PYTHON222\PYTHON.EXE;'||,
'STARTUPDIR='||dir||'\PYTHON222;'||,
'ICONFILE='||dir||'\python.ico;'||,
'OBJECTID=<PYTHONINTR>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Python Script+Arguments',,
'<PYTHONFLDR>',,
'EXENAME='||dir||'\PYTHON222\PYTHON.EXE;'||,
'PARAMETERS=[Drive:\path\script parameters];'||,
'STARTUPDIR='||dir||'\PYTHON222;'||,
'ICONFILE='||dir||'\python.ico;'||,
'OBJECTID=<PYTHONSCRIPT>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Python OS/2 Website',,
'<PYTHONFLDR>',,
'EXENAME=netscape.exe;'||,
'PARAMETERS=http://www.andymac.org/python.html;'||,
'ICONFILE='||dir||'\net.ico;'||,
'OBJECTID=<SITEPYTHON>',,
'Update' )

rc=SysCreateShadow(dir'\PYTHON222\README.os2emx','<PYTHONFLDR>')
rc=SysCreateShadow(dir'\PYTHON222\README.os2emx.multiple_versions','<PYTHONFLDR>')
rc=SysCreateShadow(dir'\PYTHON222\README.Python-2.2.2','<PYTHONFLDR>')
rc=SysCreateShadow(dir'\PYTHON222\LICENSE.Python-2.2.2','<PYTHONFLDR>')
